Gatana logoGatana Docs
Routesv2CredentialsCredentialidAudit logs

/credentials/{credentialId}/audit-logs

List the audit log entries of a credential, paginated. Requires the read-secret permission on the credential

GET
/credentials/{credentialId}/audit-logs
AuthorizationBearer <token>

In: header

Path Parameters

credentialId*string

ID of the credential

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v2/credentials/string/audit-logs"
{
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0,
    "totalPages": 0,
    "hasNext": true,
    "hasPrev": true
  },
  "data": [
    {
      "tenantId": "string",
      "id": "string",
      "credentialId": "string",
      "userId": "string",
      "eventName": "string",
      "details": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}